#	$NetBSD: Makefile.rumpvfs,v 1.22 2009/12/09 15:38:07 pooka Exp $
#

.include "${RUMPTOP}/Makefile.rump"

LIB=	rumpvfs

.PATH:	${RUMPTOP}/librump/rumpvfs ${RUMPTOP}/librump		\
	${RUMPTOP}/../kern					\
	${RUMPTOP}/../miscfs/genfs ${RUMPTOP}/../miscfs/syncfs	\
	${RUMPTOP}/../miscfs/specfs ${RUMPTOP}/../miscfs/deadfs	\
	${RUMPTOP}/../compat/common ${RUMPTOP}/../uvm		\
	${RUMPTOP}/../dev

#
# Source modules, first the ones specifically implemented for librump.
# 
SRCS=	rump_vfs.c devnodes.c devnull.c rumpblk.c rumpfs.c vm_vfs.c

SRCS+=	fstrans_stub.c vfsops_stub.c

SRCS+=	rumpvfs_if_wrappers.c

# sys/kern I/O
SRCS+=	kern_physio.c

# sys/kern vfs
SRCS+=	vfs_bio.c vfs_cache.c vfs_cwd.c vfs_dirhash.c vfs_getcwd.c	\
	vfs_hooks.c vfs_init.c vfs_lockf.c vfs_lookup.c vfs_subr.c	\
	vfs_syscalls.c vfs_vnops.c vfs_wapbl.c vfs_xattr.c

# sys/kern module (and syscall)
SRCS+=	kern_module_vfs.c subr_kobj_vfs.c sys_module.c

# sys/uvm
SRCS+=	uvm_vnode.c

# sys/miscfs/syncfs
SRCS+=	sync_subr.c sync_vnops.c

# sys/miscfs/deadfs
SRCS+=	dead_vnops.c

# sys/miscfs
SRCS+=	genfs_io.c genfs_vfsops.c genfs_vnops.c spec_vnops.c

# sys/kern bufq
SRCS+=	subr_bufq.c bufq_disksort.c bufq_fcfs.c bufq_priocscan.c	\
	bufq_readprio.c

# dev
# firmload is technically part of rumpdev, but it's pure vfs in nature.
SRCS+=	firmload.c

# compat syscalls
SRCS+=	vfs_syscalls_50.c compat.c

SRCS+=	rumpvnode_if.c

# no shlib_version because this is automatically in sync with lib/librump
SHLIB_MAJOR=    0
SHLIB_MINOR=    0

CPPFLAGS+=	-I${RUMPTOP}/librump/rumpkern
CFLAGS+=	-Wno-pointer-sign

.include <bsd.lib.mk>
.include <bsd.klinks.mk>
